<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[debugger]]></name>
<type>object</type>
<compilation>static</compilation>
<comment><![CDATA[Debugging facilities similar to those found in most Prolog compilers.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
<implements>
<name><![CDATA[debuggerp]]></name>
<scope>public</scope>
<file><![CDATA[debuggerp]]></file>
</implements>
<implements>
<name><![CDATA[event_handlersp]]></name>
<scope>public</scope>
<file><![CDATA[event_handlersp]]></file>
</implements>
<imports>
<name><![CDATA[monitor]]></name>
<scope>public</scope>
<file><![CDATA[monitor]]></file>
</imports>
</relations>
<predicates>
<public>
</public>
<protected>
<predicate>
<name><![CDATA[port_output/4]]></name>
<scope>protected</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[port_output(+atom,+object,@callable,+object)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Outputs current port information.]]></comment>
<template><![CDATA[port_output(Port,Object,Message,Sender)]]></template>
</predicate>
<predicate>
<name><![CDATA[execute_option/1]]></name>
<scope>protected</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[execute_option(+atom)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Executes a user option at a debugger port.]]></comment>
<template><![CDATA[execute_option(Option)]]></template>
</predicate>
<predicate>
<name><![CDATA[query_user/1]]></name>
<scope>protected</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[query_user(-atom)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Query a user about an option at a debugger port.]]></comment>
<template><![CDATA[query_user(Option)]]></template>
</predicate>
</protected>
<private>
<predicate>
<name><![CDATA[stream_/2]]></name>
<scope>private</scope>
<compilation>dynamic</compilation>
<mode>
<template><![CDATA[stream_(?atom,?stream)]]></template>
<solutions>zero_or_more</solutions>
</mode>
</predicate>
</private>
</predicates>
</logtalk>
